CONTAINER-CREATE(1)

NAME
container-create - Create a container

SYNOPSIS

container create [OPTIONS]

DESCRIPTION

The container-create command creates a container based on a script.

OPTIONS

The following container-create options are available:

-n, --name=NAME
    Specify container name.

-c, --capability=CAPABILITY
    Specify capabilities to grant, see capabilities(7).

-d, --drop-capability=DROP_CAPABILITY
    Specify capabilities to drop, see capabilities(7).

-s, --script=SCRIPT
    Specify container creation script, defaults to debootstrap.

-b, --bind=DIRECTORY:DIRECTORY[:OPTIONS][;DIRECTORY:DIRECTORY[:OPTIONS]]
    Specify container read-write bind mounts, see systemd-nspawn(1) --bind option.

--bind-ro=DIRECTORY:DIRECTORY[:OPTIONS][;DIRECTORY:DIRECTORY[:OPTIONS]]
    Specify container read-only bind mounts, see systemd-nspawn(1) --bind-ro option.

--cnt-overlay=DIRECTORY_LOWER:DIRECTORY_UPPER:DIRECTORY_WORK:DIRECTORY_MERGED[;DIRECTORY_UPPER:DIRECTORY_LOWER:DIRECTORY_WORK:DIRECTORY_MERGED]
    Specify container overlay mounts, see Documentation/filesystems/overlayfs.txt.

SCRIPTS

The following container scripts are available:

curl
    Basic script to create Debian based container, see container-create-curl(1).

debootstrap
    Basic script to create Debian based container, see container-create-debootstrap(1).

debconf
    Advanced script to automatically create Debian based container, see container-create-debconf(1).

default
    Symlink (if existing) to a container script which is used if no script was specified. On Debian based system this can be managed through update-alternatives(1), i.e. sudo update-alternatives --config container-tools_script.

EXAMPLES

Create example.net container using curl script:
    sudo container create -n example.net -s curl

Create example.net container using debootstrap script:
    sudo container create -n example.net -s debootstrap

Create example.net container using debconf script:
    sudo container create -n example.net -s debconf

Create example.net container with the default create script and start it:
    sudo container create,start -n example.net

SEE ALSO

container-tools(7), container(1).

HOMEPAGE

More information about container-tools and the Open Infrastructure project can be found on the homepage at https://open-infrastructure.net.

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System at https://bugs.debian.org.

AUTHORS

container-tools was written by Daniel Baumann <daniel.baumann@open-infrastructure.net>.